Bug 501892 - OptString parameters not handled properly in bindings
OptString parameters not handled properly in bindings
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-21 04:49 EDT by Richard W.M. Jones
Modified: 2010-03-27 06:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 06:08:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-05-21 04:49:24 EDT
OptString parameters can be NULL.  Not all of the bindings
really handle this case - probably they segfault if presented
with a NULL parameter.

We also need to add an automated regression test which
tests this case.
Comment 1 Richard W.M. Jones 2009-05-21 04:51:38 EDT
Related to this is bug 501893
(String parameters should be checked for != NULL)
Comment 2 Mark McLoughlin 2009-05-25 10:49:55 EDT
Moving upstream, just a safety check
Comment 3 Richard W.M. Jones 2009-05-28 15:25:40 EDT
This is fixed upstream by
http://git.et.redhat.com/?p=libguestfs.git;a=commitdiff;h=babc0846cc911b01a58a7385d30ad25889b7175a
Comment 4 Fedora Update System 2009-05-29 02:03:47 EDT
libguestfs-1.0.36-1.fc11.2 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.36-1.fc11.2
Comment 5 Fedora Update System 2009-06-02 11:10:18 EDT
libguestfs-1.0.38-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.38-1.fc11
Comment 6 Fedora Update System 2009-06-04 11:39:56 EDT
libguestfs-1.0.41-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.41-1.fc11
Comment 7 Fedora Update System 2009-06-06 13:57:59 EDT
libguestfs-1.0.42-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.42-1.fc11
Comment 8 Fedora Update System 2009-06-23 05:15:44 EDT
libguestfs-1.0.51-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.51-1.fc11
Comment 9 Fedora Update System 2009-06-29 15:28:19 EDT
libguestfs-1.0.54-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.54-2.fc11
Comment 10 Fedora Update System 2009-07-02 19:27:06 EDT
libguestfs-1.0.55-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.55-1.fc11
Comment 11 Fedora Update System 2009-07-11 05:28:06 EDT
libguestfs-1.0.58-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/libguestfs-1.0.58-2.fc11
Comment 12 Fedora Update System 2009-07-11 13:13:28 EDT
libguestfs-1.0.54-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-19 06:28:46 EDT
libguestfs-1.0.58-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Richard W.M. Jones 2010-03-27 06:08:29 EDT
Long fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.